Bug 476341 - Doesn't record video from a Logitech Quick Cam Pro 4000.
Doesn't record video from a Logitech Quick Cam Pro 4000.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gstreamer (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
: 479263 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 04:41 EST by Austin
Modified: 2009-12-18 02:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:16:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Austin 2008-12-13 04:41:46 EST
Description of problem:
Doesn't acquire video from QuickCam4000 Pro

Version-Release number of selected component (if applicable):
cheese-2.24.2-1.fc10.x86_64

How reproducible:
Every time.

Steps to Reproduce:
1. Launch program, and let it detect the Logitech Quick Cam Pro 4000 and show the current stream.
2. Select the Video button, and press record.
3. Wait an undetermined amount of time (up to 10 mins) and watch CPU load hit 100% and no more than one frame captured from the device.
  
Actual results:
An ogv file with one frame?

Expected results:
An actual video that's for the entire duration of recording.

Additional info:
Available upon request.
Comment 1 Hans de Goede 2008-12-20 04:48:48 EST
I can reproduce this, the problem is not video, but rather sound related, as a workaround run gstreamer-properties and choose "silence" as sound plugin.

Changing component to gstreamer, if I runcheese like this:
cheese --gst-debug-level=3 --gst-debug-no-color &> log

I get log messages like these in the resulting log file:
0:00:20.269632600  5323 0x7f6a6809a2c0 WARN          baseaudiosrc gstbaseaudiosrc.c:804:gst_base_audio_src_create:<alsasrc0> create DISCONT of 740439 samples at sample 18909198
0:00:20.269918440  5323 0x7f6a6809a2c0 WARN          baseaudiosrc gstbaseaudiosrc.c:807:gst_base_audio_src_create:<alsasrc0> warning: Can't record audio fast enough
0:00:20.269936560  5323 0x7f6a6809a2c0 WARN          baseaudiosrc gstbaseaudiosrc.c:807:gst_base_audio_src_create:<alsasrc0> warning: dropped 740439 samples
0:00:20.269974920  5323 0x7f6a6809a2c0 INFO      GST_ERROR_SYSTEM gstelement.c:1675:gst_element_message_full:<alsasrc0> posting message: Can't record audio fast enough
0:00:20.270076600  5323 0x7f6a6809a2c0 INFO      GST_ERROR_SYSTEM gstelement.c:1698:gst_element_message_full:<alsasrc0> posted warning message: Can't record audio fast enough
0:00:20.270128200  5323 0x7f6a6809a2c0 WARN          baseaudiosrc gstbaseaudiosrc.c:804:gst_base_audio_src_create:<alsasrc0> create DISCONT of 7497 samples at sample 18917136
0:00:20.270147600  5323 0x7f6a6809a2c0 WARN          baseaudiosrc gstbaseaudiosrc.c:807:gst_base_audio_src_create:<alsasrc0> warning: Can't record audio fast enough
0:00:20.270160480  5323 0x7f6a6809a2c0 WARN          baseaudiosrc gstbaseaudiosrc.c:807:gst_base_audio_src_create:<alsasrc0> warning: dropped 7497 samples
0:00:20.270210000  5323 0x7f6a6809a2c0 INFO      GST_ERROR_SYSTEM gstelement.c:1675:gst_element_message_full:<alsasrc0> posting message: Can't record audio fast enough
0:00:20.270263200  5323 0x7f6a6809a2c0 INFO      GST_ERROR_SYSTEM gstelement.c:1698:gst_element_message_full:<alsasrc0> posted warning message: Can't record audio fast enough
0:00:20.270306120  5323 0x7f6a680aaff0 WARN             vorbisenc vorbisenc.c:1194:gst_vorbis_enc_chain:<audio_enc> Buffer is discontinuous, flushing encoder and restarting (Discont from 0:00:02.500000000 to 0:06:51.770000000)
0:00:20.309973040  5323 0x7f6a680a4780 INFO             GST_EVENT gstevent.c:779:gst_event_new_qos: creating qos proportion 20.828711, diff -23333333, timestamp 0:07:14.410000000
0:00:20.310466960  5323 0x7f6a680a4780 INFO              GST_PADS gstpad.c:3222:gst_pad_event_default_dispatch:<tee:src1> Sending event 0x1dd7980 (qos) to all internally linked pads
0:00:20.688872520  5323 0x7f6a6809a2c0 WARN          baseaudiosrc gstbaseaudiosrc.c:804:gst_base_audio_src_create:<alsasrc0> create DISCONT of 5213061 samples at sample 24130638
0:00:20.688957640  5323 0x7f6a6809a2c0 WARN          baseaudiosrc gstbaseaudiosrc.c:807:gst_base_audio_src_create:<alsasrc0> warning: Can't record audio fast enough
0:00:20.688971640  5323 0x7f6a6809a2c0 WARN          baseaudiosrc gstbaseaudiosrc.c:807:gst_base_audio_src_create:<alsasrc0> warning: dropped 5213061 samples
Comment 2 Hans de Goede 2009-01-11 08:28:10 EST
*** Bug 479263 has been marked as a duplicate of this bug. ***
Comment 3 Bug Zapper 2009-11-18 05:27:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 02:16:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.